Subject: Re: [PATCH RFC] virtio_net: fix patch: virtio_net: limit xmit polling

From: "Michael S. Tsirkin" <[email-masked]>
Date: Sun, 22 May 2011 20:32:35 +0300

On Thu, May 19, 2011 at 05:00:17PM +0930, Rusty Russell wrote:
> On Thu, 19 May 2011 01:01:25 +0300, "Michael S. Tsirkin" <[email-masked]> wrote:
> > The patch  virtio_net: limit xmit polling
> > got the logic reversed: it polled while we had
> > capacity not while ring was empty.
> > 
> > Fix it up and clean up a bit by using a for loop.
> > 
> > Signed-off-by: Michael S. Tsirkin <[email-masked]>
> > ---
> > 
> > OK, turns out that patch was borken. Here's
> > a fix that survived stress test on my box.
> > Pushed on my branch, I'll send a rebased series
> > with Rusty's comments addressed ASAP.
> 
> Normally you would have missed the merge window by now, but I'd really
> like this stuff in, so I'm holding it open for this.  I want these patches
> in linux-next for at least a few days before I push them.
> 
> If you think we're not close enough, please tell me and I'll push
> the rest of the virtio patches to Linus now.  
> 
> Thanks,
> Rusty.

I think it makes sense to push just the patches you have
applied by now (event index + delayed callback) - the
rest are close but they are guest only patches so very easy to
experiment with out of tree. OTOH if event index misses the
window it makes testing painful as we have to keep patching
both host and guest.

-- 
MST